LibreOffice: UnoControlSpinButtonModel Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
UnoControlSpinButtonModel Service Reference

specifies the standard model of a UnoControlSpinButton. More...

`import <UnoControlSpinButtonModel.idl;`

Inheritance diagram for UnoControlSpinButtonModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Public Attributes
short | Border
| specifies the border style of the control.
long | BorderColor
| specifies the color of the border, if present
boolean | Enabled
| determines whether the control is enabled or disabled.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
long | SpinIncrement
| specifies the increment by which the value is changed when using operating the spin button.
long | Orientation
| specifies the ScrollBarOrientation of the control.
boolean | Printable
| specifies whether the control will be printed with the document.
long | SpinValue
| specifies the current value of the control.
long | SpinValueMin
| specifies the minimum value of the control.
long | SpinValueMax
| specifies the maximum value of the control.
com::sun::star::util::Color | BackgroundColor
| specifies the RGB color to be used for the control
com::sun::star::util::Color | SymbolColor
| specifies the RGB color to be used when painting symbols which are part of the control's appearance, such as the arrow buttons.
boolean | Repeat
| specifies whether the mouse should show repeating behavior, i.e.
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds.
short | MouseWheelBehavior
| defines how the mouse wheel can be used to scroll through the control's content.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.

## Detailed Description

specifies the standard model of a UnoControlSpinButton.

A spin button is a control which has a numeric value associated with it, and allows to change this value using two spin buttons.

A spin button is similar to a scroll bar, but it usually has no (own) visual representation of the associated value, but is used to propagate its value to other controls.

See also
  UnoControlScrollBarModel

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| property

specifies the RGB color to be used for the control

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ MouseWheelBehavior

short MouseWheelBehavior
| optionalproperty

defines how the mouse wheel can be used to scroll through the control's content.

Usually, the mouse wheel spins the numeric value displayed in the control. Using this property, and one of the MouseWheelBehavior constants, you can control under which circumstances this is possible.

## ◆ Orientation

long Orientation
| property

specifies the ScrollBarOrientation of the control.

## ◆ Printable

boolean Printable
| property

specifies whether the control will be printed with the document.

## ◆ Repeat

boolean Repeat
| property

specifies whether the mouse should show repeating behavior, i.e.

repeatedly trigger an action when keeping pressed.

## ◆ RepeatDelay

long RepeatDelay
| property

specifies the mouse repeat delay, in milliseconds.

When the user presses a mouse in a control area where this triggers an action (such as spinning the value), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.

## ◆ SpinIncrement

long SpinIncrement
| property

specifies the increment by which the value is changed when using operating the spin button.

## ◆ SpinValue

long SpinValue
| property

specifies the current value of the control.

## ◆ SpinValueMax

long SpinValueMax
| property

specifies the maximum value of the control.

## ◆ SpinValueMin

long SpinValueMin
| property

specifies the minimum value of the control.

## ◆ SymbolColor

com::sun::star::util::Color SymbolColor
| property

specifies the RGB color to be used when painting symbols which are part of the control's appearance, such as the arrow buttons.

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlSpinButtonModel.idl